commit e460324f205ee4a73e95d54c6915e1e6eeef9bbc
Author: freddy77 <freddy77>
Date:   Wed Aug 27 07:44:38 2008 +0000

    don't test nvarchar if Sybase

diff --git a/ChangeLog b/ChangeLog
index d673370..568c467 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Aug 27 09:43:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/data.c:
+	- don't test nvarchar if Sybase
+
 Wed Aug 27 09:27:49 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/unittests/common.c: allow empty password on tests
 
@@ -586,4 +590,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2594 2008/08/27 07:28:45 freddy77 Exp $
+$Id: ChangeLog,v 1.2595 2008/08/27 07:44:38 freddy77 Exp $
diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index 5f97a73..5361db9 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -3,7 +3,7 @@
 
 /* Test various bind type */
 
-static char software_version[] = "$Id: data.c,v 1.16 2008/07/14 13:07:43 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.17 2008/08/27 07:44:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -114,7 +114,9 @@ main(int argc, char *argv[])
 			if (!old_result)
 				result = 0;
 		}
+	}
 
+	if (db_is_microsoft() && (strncmp(version, "08.00.", 6) == 0 || strncmp(version, "09.00.", 6) == 0)) {
 		/* nvarchar without extended characters */
 		Test("NVARCHAR(20)", "test", SQL_C_CHAR, "4 test");
 		/* nvarchar with extended characters */

